extends PanelContainer


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
	
	
func _get_drag_data(drag_position: Vector2):
	print('get drag data')
	return drag_position

func _can_drop_data(drop_position, data):
	print('can drop data')
	return typeof(data) == TYPE_VECTOR2

func _drop_data(drop_position, data):
	print('drop data')
	position = position + (drop_position - data)
